package interpreter.commands;

import interpreter.Command;
import interpreter.contexts.WaterPumperAgent;

public class SetPumperOnCommand implements Command {

    private boolean pumperOn;

    public SetPumperOnCommand(boolean pumperOn) {
        this.pumperOn = pumperOn;
    }

    public void execute(Object context) {
        WaterPumperAgent agent = (WaterPumperAgent)context;
        agent.setPumperOn(this.pumperOn);
    }

    public Object getValue() {
        return this.pumperOn;
    }
}
